:root{
    --eye-size:100px;
    --eye-backcolor: #ad0000;
    --eye-color:#000;
    --eye-shadow:#adadad59;
    --eyeball-shadow:rgb(27 27 27);
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body{
    background: black;
}

.card{
    width: 300px;
    height: 300px;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.circle{
    border-radius: 50%;
}

.center{
    margin: 50%;
    transform: translate(-50%,-50%);
}

.eye{
    height: var(--eye-size);
    width: var(--eye-size);
    background-color: var(--eye-backcolor);
    border: 6px solid var(--eye-color);
    position: relative;
    overflow: hidden;
}

.eyeball{
    height: 55%;
    width: 55%;
    position: relative;
}

.eyeball>div:first-of-type{
    height: 100%;
    width: 100%;
    border: 4px solid var(--eye-color);
    opacity: 0.5;
    position: absolute;
}

.eyeball>div:nth-of-type(2){
    position: absolute;
    height: 45%;
    width: 45%;
    background-color: var(--eye-color);
    box-shadow: 0 0 21px 3px var(--eyeball-shadow);
}

.sp{
    height: 50%;
    width: 50%;
    position: absolute;
    font-size: 65px;
}

.sp span{
    font-weight: bolder;
    position: absolute;
    display: block;
    top: -44px;
    color: var(--eye-color);
}

.eyeball>div:nth-of-type(3){
    top: -46%;
    left: 66%;
    transform: rotate(243deg);
}

.eyeball>div:nth-of-type(4){
    bottom: -46%;
    right: -20%;
    transform: rotate(-1deg);
}

.eyeball>div:last-of-type{
    bottom: 18%;
    left: -60%;
    transform: rotate(112deg);
}

.sharingan1{
    animation: animation1 10s ease-in-out infinite;
    animation-fill-mode: forwards;
}

.sharingan1, .sharingan2{
    display: none;
}

.sharingan2 .sp{
    width: 100%;
    height: 100%;
    font-size: 165px;
}

.sharingan2 .eyeball>div:first-of-type{
    opacity: 1;
    background-color: var(--eye-color);
    width: 85%;
    height: 85%;
    margin: 50%;
    transform: translate(-50%,-50%);
}

.sharingan2 .eyeball>div:nth-of-type(2){
    background-color: var(--eye-backcolor);
    z-index: 7777;
    width: 25%;
    height: 25%;
}

.sharingan2 .eyeball>div:nth-of-type(3){
    top: -15%;
    left: 12%;
}

.sharingan2 .eyeball>div:nth-of-type(4){
    bottom: -16%;
    right: -9%;
}

.sharingan2 .eyeball>div:last-of-type{
    bottom: 4%;
    left: -17%;
}

.sharingan2{
    animation: animation1 10s ease-in-out infinite;
}

.sharingan1to2 .eyeball>div{
    animation-duration: 10s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    animation-fill-mode: both;
    animation-delay: 3s;
}

.sharingan1to2{
    animation: animation1 12s ease-in-out infinite;
    animation-fill-mode: both;
}

.sharingan1to2 .eyeball>div:first-of-type{
    animation-name: an_div_first;
}

.sharingan1to2 .eyeball>div:nth-of-type(2){
    animation-name: an_div2;
}

.sharingan1to2 .eyeball>div:nth-of-type(3){
    animation-name: an_div3;
}

.sharingan1to2 .eyeball>div:nth-of-type(4){
    animation-name: an_div4;
}

.sharingan1to2 .eyeball>div:last-of-type{
    animation-name: an_div_last;
}

@keyframes animation1 {
    0%{transform: rotate(0deg);}
    70%,100%{transform: rotate(360deg);}
}

@keyframes an_div_first {
    0%,30%,80%,100%{
        height: 100%;
        width: 100%;
        background-color: var(--eye-backcolor);
        opacity: 0.5;
    }
    40%,70%{
        opacity: 1;
        background-color: var(--eye-color);
        width: 85%;
        height: 85%;
        margin: 50%;
        transform: translate(-50%,-50%);
    }
}

@keyframes an_div2 {
    0%,30%,80%,100%{
        height: 45%;
        width: 45%;
        background-color: var(--eye-color);
        z-index: auto;
    }
    40%,70%{
        background-color: var(--eye-backcolor);
        z-index: 7777;
        width: 25%;
        height: 25%;
    }
}

@keyframes an_div3 {
    0%,30%,80%,100%{
        top: -46%;
        left: 66%;
        height: 50%;
        width: 50%;
        font-size: 65px;
    }
    40%,70%{
        top: -15%;
        left: 12%;
        height: 100%;
        width: 100%;
        font-size: 165px;
    }
}

@keyframes an_div4 {
    0%,30%,80%,100%{
        bottom: -46%;
        right: -20%;
        height: 50%;
        width: 50%;
        font-size: 65px;
    }
    40%,70%{
        bottom: -16%;
        right: -9%;
        height: 100%;
        width: 100%;
        font-size: 165px;
    }
}

@keyframes an_div_last {
    0%,30%,80%,100%{
        bottom: 18%;
        left: -60%;
        height: 50%;
        width: 50%;
        font-size: 65px;
    }
    40%,70%{
        bottom: 4%;
        left: -17%;
        height: 100%;
        width: 100%;
        font-size: 165px;
    }
}

.box{
    overflow: hidden;
    height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 40px auto;
}

.eye-box{
    background-color: #fff;
    width: 220px;
    height: 130px;
    position: relative;
    overflow: hidden;
    display: flex;
    padding-top: 10px;
    margin: auto 40px;
    justify-content: center;
    align-items: center;
    border-radius: 100% 0 54% 46% / 93% 1% 99% 7%;
    box-shadow: -4px 21px 1px 6px var(--eye-shadow) inset;
    animation:  eye_animation 16s ease-in-out infinite;
    transition: height 0.5s ease-in-out, padding-top 0.5s ease-in-out;
}

.left-eye{
    transform: scaleX(-1);
}

.eye-box.eye{
    position: absolute;
    top: 5%;
    right: 10%;
}

@keyframes eye_animation {
    0%,36%,55%,100%{
        height: 130px;
        padding-top: 20px;
    }
    43%,47%{
        height: 0px;
        width: 50%;
    }
}